	--把一个table写入XML文件的递归函数
	local function WriteTableToXml(Table, FatherElementObj)
		local ElementObj = nil
		local ProcessedNameMap = {} --已处理子项名字集合{"Name":1}
		--遍历table
		for Key, Value in pairs(Table) do
			if type(Key) == "number" then --如果关键字为数字
				if FatherElementObj == nil then
					if ElementObj == nil then
						table.insert(new_table,"<")
					end
					WriteTableToXml(Value, ElementObj)
				else
					WriteTableToXml(Value, FatherElementObj)
				end
			else
				local ElementName = nil
				if string.find(Key, '@') then --为属性
					--存储名字
					local Len = string.len(Key)
					ElementName = string.sub(Key, 1, Len - 1)
				else --为值或者子项
					--存储名字
					ElementName = Key
				end
				--判断是否已经处理此子项
				if ProcessedNameMap[ElementName] == nil then
					local ChildElementObj = XmlFactory:create_element()
					ChildElementObj:set_name(ElementName)
					--设置属性
					local AttrTable = Table[ElementName..'@']
					if AttrTable then
						for AttrKey, AttrValue in pairs(AttrTable) do
							ChildElementObj:set_attribute(AttrKey, AttrValue)
						end 
					end
					--处理子项
					local Child = Table[ElementName]
					if Child then
						if type(Child) == "table" then --如果有子项
							WriteTableToXml(Child, ChildElementObj)
						elseif Child ~= nil then --如果有值
							ChildElementObj:set_value(Child)
						end
					end
					ProcessedNameMap[ElementName] = 1
					if FatherElementObj then
						FatherElementObj:add_child_element(ChildElementObj)
					else
						return ChildElementObj
					end 
				end
			end
		end 
	end